<?php
/*
  Plugin Name: WP PageFlipper
  Plugin URI: http://teknikforce.com/
  Description:This plugin changes Wordpress theme homepage automatically depending on date.
  Author: TEKNIKFORCE
  Version: 1.0.0
  Author URI: http://teknikforce.com/
 */

load_plugin_textdomain('PageFlipper_home_page', false, dirname(plugin_basename(__FILE__)) . '/languages/');

function wppageflipper_addscript() {
    wp_enqueue_script(
            'pageflipper-jquery-dateTimepickerFullScript', 'https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js', array(), true
    );
    wp_enqueue_script(
            'pageflipper-jquery-dateTimepickerScript', plugin_dir_url(__FILE__) . 'js/jquery.datetimepicker.full.js', array(), true
    );
     wp_enqueue_script(
            'pageflipper-jquery-bootstrap', 'https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js', array(), true
    );
}

function wppageflipper_addstyle() {
    wp_enqueue_style(
            'pageflipper-jquery-dateTimepicker-style', plugin_dir_url(__FILE__) . 'css/jquery.datetimepicker.min.css', array(), false
    );
}

add_action('admin_enqueue_scripts', 'wppageflipper_addscript');
add_action('admin_enqueue_scripts', 'wppageflipper_addstyle');

add_action('admin_menu', 'PageFlipper_home_page_menu');
if (!function_exists('PageFlipper_home_page_menu')) {
    function PageFlipper_home_page_menu() {
        add_menu_page('PageFlipper_home_page', 'WP PageFlipper', 'manage_options', 'PageFlipper_home_page', 'PageFlipper_Callback_function', plugins_url('images/pic22.png', __FILE__));
    }
}

if (!function_exists(PageFlipper_Callback_function)) {
     function PageFlipper_Callback_function() {
        global $wpdb;
        $table_name = $wpdb->prefix . "posts";
        $sql = $wpdb->prepare("select ID,post_title from $table_name where post_status = %s and post_type = %s", "publish", 'page');
        $appearance = $wpdb->get_results($sql);
        $appearance = json_encode($appearance);
        $appearance = json_decode($appearance, true);
        // print_r($appearance);
         if (isset($_POST['pageflipper_submit'])) {
//       echo $_POST['pageflipper_submit'];
//       echo $_POST['pf1st_event_time'];
//       echo $_POST['pf1st_event'];
//       echo $_POST['pf2nd_event_time'];
//       echo $_POST['pf2nd_event'];
            update_option('Pageflipper_TimeZone', $_POST['Pageflipper_TimeZone']);
            update_option('pf1st_event_time', $_POST['pf1st_event_time']);
            update_option('pf1st_event', $_POST['pf1st_event']);
            update_option('pf2nd_event_time', $_POST['pf2nd_event_time']);
            update_option('pf2nd_event', $_POST['pf2nd_event']);
            }
        
        date_default_timezone_set(get_option('Pageflipper_TimeZone'));
        $pf_1st_action = get_option('pf1st_event_time'); //echo $pf_1st_action;
        $pf_1st_action_toTime = strtotime(str_replace('/', '-', $pf_1st_action));
        //echo $time = date("m/d/Y h:i:s A T",$pf_1st_action_toTime);
        $pf_2nd_action = get_option('pf2nd_event_time');
        $pf_2nd_action_toTime = strtotime(str_replace('/', '-', $pf_2nd_action));
        //date_default_timezone_set('Asia/Kolkata');
        $date = date('Y/m/d H:i');
        $current_time = strtotime(str_replace('/', '-', $date));
      
        if ($pf_1st_action != null && $pf_2nd_action != null) {
          ?>
    <script>
    function startTime() {
    var today = new Date();
    var h = today.getHours();
    var m = today.getMinutes();
    var s = today.getSeconds();
    m = checkTime(m);
    s = checkTime(s);
    document.getElementById('txt').innerHTML =
    h + ":" + m + ":" + s;
    var t = setTimeout(startTime, 500);
    
     var ht = h * 3600;
     var mt = m * 60;
     var st = s;
     var totalsec = parseInt(ht)+parseInt(mt)+parseInt(st); //alert(totalsec);
     
     var pf1st_event_time = "<?= get_option('pf1st_event_time'); ?>";
     var pf1st_event_time1 =  pf1st_event_time.split(" ");//alert(pf1st_event_time1[1]);
     var split1 = pf1st_event_time1[1].split(':'); //alert(split1);
     var ht1 = split1[0] * 3600;
     var mt1 = split1[1]* 60;
     var totalsec1 = parseInt(ht1)+parseInt(mt1);//alert(totalsec1);
     
     var pf2nd_event_time = "<?= get_option('pf2nd_event_time'); ?>";
     var pf2nd_event_time1 =  pf2nd_event_time.split(" ");
     var split12nd = pf2nd_event_time1[1].split(':'); 
     var ht12nd = split12nd[0] * 3600;
     var mt12nd = split12nd[1]* 60;
     
     var totalsec12nd = parseInt(ht12nd)+parseInt(mt12nd);///alert(totalsec12nd);
     if((totalsec == totalsec1) || (totalsec == totalsec12nd)){
         //alert('Hii Friends.');
         window.location.reload();
     }
    
    function checkTime(i) {
    if (i < 10) {i = "0" + i};  // add zero in front of numbers < 10
    return i;
    }
    }
    </script>
    
    <script>
        function validate_time(){
            var time_valid = document.forms['pf_form1']['pf1st_event_time'].value;
            //var time_valid1 = document.forms['pf_form1']['pf2nd_event_time'].value;
            if(time_valid == "") //|| time_valid1 == "")
            {
                alert('Select Date & Time');
                return false;
            }
          }
    </script>
<?php
       
            if ($current_time >= $pf_1st_action_toTime && (($current_time < $pf_2nd_action_toTime) || ($current_time > $pf_2nd_action_toTime))) {
                //echo 'time 1';
                update_option('show_on_front', 'page');
                update_option('page_on_front', get_option('pf1st_event'));
            } elseif (($pf_2nd_action_toTime <= $current_time) && ($pf_2nd_action_toTime>$pf_1st_action_toTime)) {
               // echo 'time 2';
                update_option('show_on_front', 'page');
                update_option('page_on_front', get_option('pf2nd_event'));
            }
            } else{
                if ($pf_1st_action != null && ($pf_2nd_action == null)) {
                
                                    ?>
    <script>
        function startTime() {
    var today = new Date();
    var h = today.getHours();
    var m = today.getMinutes();
    var s = today.getSeconds();
    m = checkTime(m);
    s = checkTime(s);
    document.getElementById('txt').innerHTML =
    h + ":" + m + ":" + s;
    var t = setTimeout(startTime, 500);
    
     var ht = h * 3600;
     var mt = m * 60;
     var st = s;
     var totalsec = parseInt(ht)+parseInt(mt)+parseInt(st); //alert(totalsec);
     
     var pf1st_event_time = "<?= get_option('pf1st_event_time'); ?>";
     var pf1st_event_time1 =  pf1st_event_time.split(" ");//alert(pf1st_event_time1[1]);
     var split1 = pf1st_event_time1[1].split(':'); //alert(split1);
     var ht1 = split1[0] * 3600;
     var mt1 = split1[1]* 60;
     var totalsec1 = parseInt(ht1)+parseInt(mt1);//alert(totalsec1);
     
//     var pf2nd_event_time = "<?//=get_option('pf2nd_event_time'); ?>";
//     var pf2nd_event_time1 =  pf2nd_event_time.split(" ");
//     var split12nd = pf2nd_event_time1[1].split(':'); 
//     var ht12nd = split12nd[0] * 3600;
//     var mt12nd = split12nd[1]* 60;
     
     //var totalsec12nd = parseInt(ht12nd)+parseInt(mt12nd);///alert(totalsec12nd);
     if((totalsec == totalsec1)){
         //alert('Hii Friends.');
         window.location.reload();
     }
    
    function checkTime(i) {
    if (i < 10) {i = "0" + i};  // add zero in front of numbers < 10
    return i;
    }
    }
        
    </script>
                <?php

                    
                if ($pf_1st_action_toTime <= $current_time) {
                    update_option('show_on_front', 'page');
                    update_option('page_on_front', get_option('pf1st_event'));
                }
            
            }elseif($pf_1st_action == null && ($pf_2nd_action != null)){
            ?>
    <script>
        function startTime() {
    var today = new Date();
    var h = today.getHours();
    var m = today.getMinutes();
    var s = today.getSeconds();
    m = checkTime(m);
    s = checkTime(s);
    document.getElementById('txt').innerHTML =
    h + ":" + m + ":" + s;
    var t = setTimeout(startTime, 500);
    
     var ht = h * 3600;
     var mt = m * 60;
     var st = s;
     var totalsec = parseInt(ht)+parseInt(mt)+parseInt(st); //alert(totalsec);
     
//     var pf1st_event_time = "<?//= get_option('pf1st_event_time'); ?>";
//     var pf1st_event_time1 =  pf1st_event_time.split(" ");//alert(pf1st_event_time1[1]);
//     var split1 = pf1st_event_time1[1].split(':'); //alert(split1);
//     var ht1 = split1[0] * 3600;
//     var mt1 = split1[1]* 60;
//     var totalsec1 = parseInt(ht1)+parseInt(mt1);//alert(totalsec1);
     
     var pf2nd_event_time = "<?= get_option('pf2nd_event_time'); ?>";
     var pf2nd_event_time1 =  pf2nd_event_time.split(" ");
     var split12nd = pf2nd_event_time1[1].split(':'); 
     var ht12nd = split12nd[0] * 3600;
     var mt12nd = split12nd[1]* 60;
     
     var totalsec12nd = parseInt(ht12nd)+parseInt(mt12nd);///alert(totalsec12nd);
     if((totalsec == totalsec12nd)){
         //alert('Hii Friends.');
         window.location.reload();
     }
    
    function checkTime(i) {
    if (i < 10) {i = "0" + i};  // add zero in front of numbers < 10
    return i;
    }
    }
        
    </script>
                <?php

                if ($pf_2nd_action_toTime <= $current_time) {
                    update_option('show_on_front', 'page');
                    update_option('page_on_front', get_option('pf2nd_event'));
                }
            
            }
        }
        //echo "<br>".get_option('pf1st_event_time');
        //echo get_option('pf1st_event');
        //echo get_option('pf2nd_event_time');
        //echo get_option('pf2nd_event');
        ?>
    
     <!DOCTYPE html>
    <html lang="en">
    <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    </head>
  
      <div class="wrap container" >
            <h1><?php _e('PageFlipper Home Page', 'PageFlipper_home_page') ?></h1>
        <body onload="startTime()">
        <div id="txt" style="display: none;"></div>
        </body>
        <form method="post" action="" id="pf_form1" onsubmit="return validate_time()">
                <table class="form-table" >
                    <tr valign="top" class="form-group">
                        <th scope="row"><?php _e('Select TimeZone', 'PageFlipper_home_page'); ?></th>
                        <td>       
        <?php
        $timezone = array('Africa/Abidjan', 'Africa/Accra', 'Africa/Addis_Ababa', 'Africa/Algiers', 'Africa/Asmara', 'Africa/Bamako', 'Africa/Bangui', 'Africa/Banjul', 'Africa/Bissau', 'Africa/Blantyre', 'Africa/Brazzaville', 'Africa/Bujumbura', 'Africa/Cairo', 'Africa/Casablanca', 'Africa/Ceuta', 'Africa/Conakry', 'Africa/Dakar', 'Africa/Dar_es_Salaam', 'Africa/Djibouti', 'Africa/Douala', 'Africa/El_Aaiun', 'Africa/Freetown', 'Africa/Gaborone', 'Africa/Harare', 'Africa/Johannesburg', 'Africa/Juba', 'Africa/Kampala', 'Africa/Khartoum', 'Africa/Kigali', 'Africa/Kinshasa', 'Africa/Lagos', 'Africa/Libreville', 'Africa/Lome', 'Africa/Luanda', 'Africa/Lubumbashi', 'Africa/Lusaka', 'Africa/Malabo', 'Africa/Maputo', 'Africa/Maseru', 'Africa/Mbabane', 'Africa/Mogadishu', 'Africa/Monrovia', 'Africa/Nairobi', 'Africa/Ndjamena', 'Africa/Niamey', 'Africa/Nouakchott', 'Africa/Ouagadougou', 'Africa/Porto-Novo', 'Africa/Sao_Tome', 'Africa/Tripoli', 'Africa/Tunis', 'Africa/Windhoek',
            'America/Adak', 'America/Anchorage', 'America/Anguilla', 'America/Antigua', 'America/Araguaina', 'America/Argentina/Buenos_Aires', 'America/Argentina/Catamarca', 'America/Argentina/Cordoba', 'America/Argentina/Jujuy', 'America/Argentina/La_Rioja', 'America/Argentina/Mendoza', 'America/Argentina/Rio_Gallegos', 'America/Argentina/Salta', 'America/Argentina/San_Juan', 'America/Argentina/San_Luis', 'America/Argentina/Tucuman', 'America/Argentina/Ushuaia', 'America/Aruba', 'America/Asuncion', 'America/Atikokan', 'America/Bahia', 'America/Bahia_Banderas', 'America/Barbados', 'America/Belem', 'America/Belize', 'America/Blanc-Sablon', 'America/Boa_Vista', 'America/Bogota', 'America/Boise', 'America/Cambridge_Bay', 'America/Campo_Grande', 'America/Cancun', 'America/Caracas', 'America/Cayenne', 'America/Cayman', 'America/Chicago', 'America/Chihuahua', 'America/Costa_Rica', 'America/Creston', 'America/Cuiaba', 'America/Curacao', 'America/Danmarkshavn', 'America/Dawson',
            'America/Dawson_Creek', 'America/Denver', 'America/Detroit', 'America/Dominica', 'America/Edmonton', 'America/Eirunepe', 'America/El_Salvador', 'America/Fort_Nelson', 'America/Fortaleza', 'America/Glace_Bay', 'America/Godthab', 'America/Goose_Bay', 'America/Grand_Turk', 'America/Grenada', 'America/Guadeloupe', 'America/Guatemala', 'America/Guayaquil', 'America/Guyana', 'America/Halifax', 'America/Havana', 'America/Hermosillo', 'America/Indiana/Indianapolis', 'America/Indiana/Knox', 'America/Indiana/Marengo', 'America/Indiana/Petersburg', 'America/Indiana/Tell_City', 'America/Indiana/Vevay', 'America/Indiana/Vincennes', 'America/Indiana/Winamac', 'America/Inuvik', 'America/Iqaluit', 'America/Jamaica', 'America/Juneau', 'America/Kentucky/Louisville', 'America/Kentucky/Monticello', 'America/Kralendijk', 'America/La_Paz', 'America/Lima', 'America/Los_Angeles', 'America/Lower_Princes', 'America/Maceio', 'America/Managua', 'America/Manaus', 'America/Marigot', 'America/Martinique',
            'America/Matamoros', 'America/Mazatlan', 'America/Menominee', 'America/Merida', 'America/Metlakatla', 'America/Mexico_City', 'America/Miquelon', 'America/Moncton', 'America/Monterrey', 'America/Montevideo', 'America/Montserrat', 'America/Nassau', 'America/New_York', 'America/Nipigon', 'America/Nome', 'America/Noronha', 'America/North_Dakota/Beulah', 'America/North_Dakota/Center', 'America/North_Dakota/New_Salem', 'America/Ojinaga', 'America/Panama', 'America/Pangnirtung', 'America/Paramaribo', 'America/Phoenix', 'America/Port-au-Prince', 'America/Port_of_Spain', 'America/Porto_Velho', 'America/Puerto_Rico', 'America/Rainy_River', 'America/Rankin_Inlet', 'America/Recife', 'America/Regina', 'America/Resolute', 'America/Rio_Branco', 'America/Santarem', 'America/Santiago', 'America/Santo_Domingo', 'America/Sao_Paulo', 'America/Scoresbysund', 'America/Sitka', 'America/St_Barthelemy', 'America/St_Johns', 'America/St_Kitts', 'America/St_Lucia', 'America/St_Thomas',
            'America/St_Vincent', 'America/Swift_Current', 'America/Tegucigalpa', 'America/Thule', 'America/Thunder_Bay', 'America/Tijuana', 'America/Toronto', 'America/Tortola', 'America/Vancouver', 'America/Whitehorse', 'America/Winnipeg', 'America/Yakutat', 'America/Yellowknife', 'Antarctica/Casey', 'Antarctica/Davis', 'Antarctica/DumontDUrville', 'Antarctica/Macquarie', 'Antarctica/Mawson', 'Antarctica/McMurdo', 'Antarctica/Palmer', 'Antarctica/Rothera', 'Antarctica/Syowa', 'Antarctica/Troll', 'Antarctica/Vostok', 'Arctic/Longyearbyen', 'Asia/Aden', 'Asia/Almaty', 'Asia/Amman', 'Asia/Anadyr', 'Asia/Aqtau', 'Asia/Aqtobe', 'Asia/Ashgabat', 'Asia/Atyrau', 'Asia/Baghdad', 'Asia/Bahrain', 'Asia/Baku', 'Asia/Bangkok', 'Asia/Barnaul', 'Asia/Beirut', 'Asia/Bishkek', 'Asia/Brunei', 'Asia/Chita', 'Asia/Choibalsan', 'Asia/Colombo', 'Asia/Damascus', 'Asia/Dhaka', 'Asia/Dili', 'Asia/Dubai', 'Asia/Dushanbe', 'Asia/Famagusta', 'Asia/Gaza', 'Asia/Hebron', 'Asia/Ho_Chi_Minh',
            'Asia/Hong_Kong', 'Asia/Hovd', 'Asia/Irkutsk', 'Asia/Jakarta', 'Asia/Jayapura', 'Asia/Jerusalem', 'Asia/Kabul', 'Asia/Kamchatka', 'Asia/Karachi', 'Asia/Kathmandu', 'Asia/Khandyga', 'Asia/Kolkata', 'Asia/Krasnoyarsk', 'Asia/Kuala_Lumpur', 'Asia/Kuching', 'Asia/Kuwait', 'Asia/Macau', 'Asia/Magadan', 'Asia/Makassar', 'Asia/Manila', 'Asia/Muscat', 'Asia/Nicosia', 'Asia/Novokuznetsk', 'Asia/Novosibirsk', 'Asia/Omsk', 'Asia/Oral', 'Asia/Phnom_Penh', 'Asia/Pontianak', 'Asia/Pyongyang', 'Asia/Qatar', 'Asia/Qyzylorda', 'Asia/Riyadh', 'Asia/Sakhalin', 'Asia/Samarkand', 'Asia/Seoul', 'Asia/Shanghai', 'Asia/Singapore', 'Asia/Srednekolymsk', 'Asia/Taipei', 'Asia/Tashkent', 'Asia/Tbilisi', 'Asia/Tehran', 'Asia/Thimphu', 'Asia/Tokyo', 'Asia/Tomsk', 'Asia/Ulaanbaatar', 'Asia/Urumqi', 'Asia/Ust-Nera', 'Asia/Vientiane', 'Asia/Vladivostok', 'Asia/Yakutsk', 'Asia/Yangon', 'Asia/Yekaterinburg', 'Asia/Yerevan', 'Atlantic/Azores', 'Atlantic/Bermuda', 'Atlantic/Canary', 'Atlantic/Cape_Verde',
            'Atlantic/Faroe', 'Atlantic/Madeira', 'Atlantic/Reykjavik', 'Atlantic/South_Georgia', 'Atlantic/St_Helena', 'Atlantic/Stanley', 'Australia/Adelaide', 'Australia/Brisbane', 'Australia/Broken_Hill', 'Australia/Currie', 'Australia/Darwin', 'Australia/Eucla', 'Australia/Hobart', 'Australia/Lindeman', 'Australia/Lord_Howe', 'Australia/Melbourne', 'Australia/Perth', 'Australia/Sydney', 'Europe/Amsterdam', 'Europe/Andorra', 'Europe/Astrakhan', 'Europe/Athens', 'Europe/Belgrade', 'Europe/Berlin', 'Europe/Bratislava', 'Europe/Brussels', 'Europe/Bucharest', 'Europe/Budapest', 'Europe/Busingen', 'Europe/Chisinau', 'Europe/Copenhagen', 'Europe/Dublin', 'Europe/Gibraltar', 'Europe/Guernsey', 'Europe/Helsinki', 'Europe/Isle_of_Man', 'Europe/Istanbul', 'Europe/Jersey', 'Europe/Kaliningrad', 'Europe/Kiev', 'Europe/Kirov', 'Europe/Lisbon', 'Europe/Ljubljana', 'Europe/London', 'Europe/Luxembourg', 'Europe/Madrid', 'Europe/Malta', 'Europe/Mariehamn', 'Europe/Minsk', 'Europe/Monaco',
            'Europe/Moscow', 'Europe/Oslo', 'Europe/Paris', 'Europe/Podgorica', 'Europe/Prague', 'Europe/Riga', 'Europe/Rome', 'Europe/Samara', 'Europe/San_Marino', 'Europe/Sarajevo', 'Europe/Saratov', 'Europe/Simferopol', 'Europe/Skopje', 'Europe/Sofia', 'Europe/Stockholm', 'Europe/Tallinn', 'Europe/Tirane', 'Europe/Ulyanovsk', 'Europe/Uzhgorod', 'Europe/Vaduz', 'Europe/Vatican', 'Europe/Vienna', 'Europe/Vilnius', 'Europe/Volgograd', 'Europe/Warsaw', 'Europe/Zagreb', 'Europe/Zaporozhye', 'Europe/Zurich', 'Indian/Antananarivo', 'Indian/Chagos', 'Indian/Christmas', 'Indian/Cocos', 'Indian/Comoro', 'Indian/Kerguelen', 'Indian/Mahe', 'Indian/Maldives', 'Indian/Mauritius', 'Indian/Mayotte', 'Indian/Reunion', 'Pacific/Apia', 'Pacific/Auckland', 'Pacific/Bougainville', 'Pacific/Chatham', 'Pacific/Chuuk', 'Pacific/Easter', 'Pacific/Efate', 'Pacific/Enderbury', 'Pacific/Fakaofo', 'Pacific/Fiji', 'Pacific/Funafuti', 'Pacific/Galapagos', 'Pacific/Gambier', 'Pacific/Guadalcanal',
            'Pacific/Guam', 'Pacific/Honolulu', 'Pacific/Johnston', 'Pacific/Kiritimati', 'Pacific/Kosrae', 'Pacific/Kwajalein', 'Pacific/Majuro', 'Pacific/Marquesas', 'Pacific/Midway', 'Pacific/Nauru', 'Pacific/Niue', 'Pacific/Norfolk', 'Pacific/Noumea', 'Pacific/Pago_Pago', 'Pacific/Palau', 'Pacific/Pitcairn', 'Pacific/Pohnpei', 'Pacific/Port_Moresby', 'Pacific/Rarotonga', 'Pacific/Saipan', 'Pacific/Tahiti', 'Pacific/Tarawa', 'Pacific/Tongatapu', 'Pacific/Wake', 'Pacific/Wallis', 'Africa/Asmera', 'Africa/Timbuktu', 'America/Argentina/ComodRivadavia', 'America/Atka', 'America/Buenos_Aires', 'America/Catamarca', 'America/Coral_Harbour', 'America/Cordoba', 'America/Ensenada', 'America/Fort_Wayne', 'America/Indianapolis', 'America/Jujuy', 'America/Knox_IN', 'America/Louisville', 'America/Mendoza', 'America/Montreal', 'America/Porto_Acre', 'America/Rosario', 'America/Santa_Isabel', 'America/Shiprock', 'America/Virgin', 'Antarctica/South_Pole', 'Asia/Ashkhabad', 'Asia/Calcutta',
            'Asia/Chongqing', 'Asia/Chungking', 'Asia/Dacca', 'Asia/Harbin', 'Asia/Istanbul', 'Asia/Kashgar', 'Asia/Katmandu', 'Asia/Macao', 'Asia/Rangoon', 'Asia/Saigon', 'Asia/Tel_Aviv', 'Asia/Thimbu', 'Asia/Ujung_Pandang', 'Asia/Ulan_Bator', 'Atlantic/Faeroe', 'Atlantic/Jan_Mayen', 'Australia/ACT', 'Australia/Canberra', 'Australia/LHI', 'Australia/North', 'Australia/NSW', 'Australia/Queensland', 'Australia/South', 'Australia/Tasmania', 'Australia/Victoria', 'Australia/West', 'Australia/Yancowinna', 'Brazil/Acre', 'Brazil/DeNoronha', 'Brazil/East', 'Brazil/West', 'Canada/Atlantic', 'Canada/Central', 'Canada/East-Saskatchewan', 'Canada/Eastern', 'Canada/Mountain', 'Canada/Newfoundland', 'Canada/Pacific', 'Canada/Saskatchewan', 'Canada/Yukon', 'CET', 'Chile/Continental', 'Chile/EasterIsland');
        ?>
                            <select name="Pageflipper_TimeZone" id="Pageflipper_TimeZone" required="" class="form-control" style="width: 30%;">
                                <option value="">Select Time Zone </option>
                            <?php for ($i = 0; $i < count($timezone); $i++) { ?>
                                    <option value='<?php echo $timezone[$i]; ?>' <?php
                    if (get_option('Pageflipper_TimeZone') == $timezone[$i]) {
                        echo ' selected="selected"';
                    }
                    ?>><?php echo $timezone[$i]; ?></option>
                                <?php } ?>
                            </select>
                        </td>
                    </tr>
                    <tr valign="top" class="form-group">
                        <th scope="row"><?php _e('Select 1st event front page', 'PageFlipper_home_page'); ?></th>
                        <td>
                            <select name="pf1st_event" class="form-control "style="width: 30%;">
                                <option value="">Select Page</option>
        <?php
        foreach ($appearance as $key => $appearance1) {
            // echo $appearance1['post_title']."</br>";
            ?>
                                    <option value="<?php echo $appearance1['ID']; ?>" <?php
                                    if (get_option('pf1st_event') == $appearance1['ID']) {
                                        echo ' selected="selected"';
                                    }
                                    ?>><?= $appearance1['post_title']; ?></option>
                                <?php } ?>
                            </select>
                        </td>
                    </tr> 

                    <tr><th scope="row" class="form-group" style="width: 20%;">
        <?php _e('Select Start time for 1st event', 'PageFlipper_home_page') ?></th>
                        <td>
                            <input type="text" class="pageflipper_calender form-control" style="width: 30%;" id="pf1st_event_time" name="pf1st_event_time" value="<?php echo get_option('pf1st_event_time'); ?>" >	
                        </td>
                    
                    </tr>


                    <tr valign="top" class="form-group">
                        <th scope="row"><?php _e('Select 2nd event front page', 'PageFlipper_home_page'); ?></th>
                        <td>
                            <select name="pf2nd_event" class="form-control" style="width: 30%;">
                                <option value="">Select Page</option>
        <?php
        foreach ($appearance as $key => $appearance1) {
            // echo $appearance1['post_title']."</br>";
            ?>
                                    <option value="<?php echo $appearance1['ID']; ?>"  <?php
                                    if (get_option('pf2nd_event') == $appearance1['ID']) {
                                        echo ' selected="selected"';
                                    }
                                    ?>><?= $appearance1['post_title']; ?></option>
                                <?php } ?>
                            </select>
                        </td>
                    </tr>

                    <tr class="form-group">
                        <th scope="row"><?php _e('Select Start time for 2nd event', 'PageFlipper_home_page') ?></th>
                        <td>
                            <input type="text" class="pageflipper_calender form-control" style="width: 30%;" id="pf2nd_event_time" name="pf2nd_event_time" value="<?php echo get_option('pf2nd_event_time'); ?>" >							
                        </td>	
                    </tr>

                </table>
                <script>

                    jQuery(document).ready(function ($) {
                        $('.pageflipper_calender').each(function () {
                            $(this).datetimepicker();
                        });
                    });

                </script>
                <input type="submit" name="pageflipper_submit" id="pageflipper_submit" class="button button-primary" value="Save changes">

            </form>
        </div>

        <?php
    }

}

add_filter('admin_footer_text', 'pageflipper_footer_image');
function pageflipper_footer_image () {
    global $post;
     @$display = get_current_screen();     
    if($display->parent_file == 'PageFlipper_home_page'){
?>
<style>
.logocont{ margin-bottom: -20px;}
.logocont .tnfcreated{
   font-size:12px;
  
}
.logocont a{text-decoration: none;font-size:12px; color: #1b1b1b;}
.logocont a:hover{text-decoration: none !important;}
.logocont a:hover{color: #0073aa;}
</style>

<div class="container-fluid logocont">
         <div class="tnfcreated"> Created by : 
             <div><a href="http://teknikforce.com/"><img class="tekink" src="<?= plugins_url("images/logo.png",__FILE__); ?>" title="Teknikforce" alt="Teknikforce" style="cursor: pointer;outline:none;width: 160px;margin-bottom: 4px;" onclick="window.external.teknikforce();"></a></div>
             <div> <a href="http://teknikforce.com/">&nbsp;teknikforce.com </a> </div> 
         </div>
     </div>   
    <?php
    }
}



